Undeploy environment
curl --request POST \
--url https://api.example.com/api/projects/{projectId}/environments/{environmentId}/undeploy \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/projects/{projectId}/environments/{environmentId}/undeploy"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/projects/{projectId}/environments/{environmentId}/undeploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Environment
Undeploy environment
Removes the currently deployed release from an environment, optionally creating a change request if approval is required.
POST
/
api
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
undeploy
Undeploy environment
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Path Parameters
ID of the environment to undeploy
ID of the project containing the environment
Response
200
Environment successfully undeployed or change request created
Was this page helpful?
⌘I